<?php

    include("../../classes/database.class.php");
    include("../../classes/artigoDocumentoModel.class.php");
    include("../../classes/artigoDocumentoController.class.php");

    $idDocumento = $_POST["idDocumento"];
    $idArtigo = $_POST["idArtigo"];
    $descricao = $_POST["descricao"];
    $qtd = $_POST["qtd"];
    $preco = $_POST["preco"];
    $desconto = $_POST["desconto"];
    $idImposto = $_POST["idImposto"];
    $imposto = $_POST["imposto"];
    $total = $_POST["total"];

    if($idDocumento == ""){
        $idDocumento = null;
    }
    if($idArtigo == ""){
        $idArtigo = null;
    }
    if($descricao == ""){
        $descricao = null;
    }
    if($qtd == ""){
        $qtd = null;
    }
    if($preco == ""){
        $preco = null;
    }
    if($desconto == ""){
        $desconto = null;
    }
    if($idImposto == ""){
        $idImposto = null;
    }
    if($imposto == ""){
        $imposto = null;
    }
    if($total == ""){
        $total = null;
    }

    $modelo = new ArtigoDocumentoController($idDocumento, $idArtigo, $descricao, $qtd, $preco, $desconto, $idImposto, $imposto, $total);
    $id = $modelo->createArtigoDocumento();
    echo json_encode($id);